import { RuntimeGlobals as LynxRuntimeGlobals } from '@lynx-js/webpack-runtime-globals';
export function createLynxProcessEvalResultRuntimeModule(webpack) {
    return class LynxProcessEvalResultRuntimeModule extends webpack.RuntimeModule {
        constructor() {
            super('Lynx process eval result', webpack.RuntimeModule.STAGE_ATTACH);
        }
        generate() {
            const chunk = this.chunk;
            const compilation = this.compilation;
            if (!chunk || !compilation) {
                return '';
            }
            return `
${LynxRuntimeGlobals.lynxProcessEvalResult} = function (result, schema) {
  var chunk = result && result(schema);
  if (chunk && chunk.ids && chunk.modules) {
    // We only deal with webpack chunk
    ${webpack.RuntimeGlobals.externalInstallChunk}(chunk);
    // TODO: sort with preOrderIndex. See: https://github.com/web-infra-dev/rspack/pull/8588
    for (var moduleId in chunk.modules) {
      ${webpack.RuntimeGlobals.require}(moduleId);
    }
    return chunk;
  }
  return chunk
}
`;
        }
    };
}
//# sourceMappingURL=LynxProcessEvalResultRuntimeModule.js.map